﻿@inherits FormBase
@page "/form"
@using System.ComponentModel.DataAnnotations;

<div class="row ml-3">
    <div class="col-8">
        <h1>Formulaire : </h1>
        <EditForm Model="@cust" OnValidSubmit="OnFormValid">
            <DataAnnotationsValidator />
            <ValidationSummary />
            <div class="form-row mb-4">
                <div class="form-group mb-1 col-3 mr-4">
                    <label for="identifier">Nom: </label>
                    <InputText id="name" @bind-Value="cust.name" placeholder="Saisir votre nom"></InputText>
                    <ValidationMessage For="() => cust.name" />
                </div>
                <div class="form-group mb-2 col-4">
                    <label for="identifier">Email: </label><br />
                    <InputText id="email" @bind-Value="cust.email" placeholder="Saisir une adresse email"></InputText>
                    <ValidationMessage For="() => cust.email" />
                </div>
            </div>
            <div class="form-row mb-4">
                <div class="form-group mb-2 col-3 mr-4">
                    <label for="identifier">Adresse: </label><br />
                    <InputText id="address" @bind-Value="cust.address" placeholder="Saisir une adresse"></InputText>
                    <ValidationMessage For="() => cust.address" />
                </div>
                <div class="form-group mb-2 col-4">
                    <label for="identifier">Code postal: </label><br />
                    <InputText id="zip" @bind-Value="cust.zip" placeholder="Saisir un Code postal"></InputText>
                    <ValidationMessage For="() => cust.zip" />
                </div>
            </div>
            <div class="form-row mb-4">
                <div class="form-group mb-2 col-3 mr-4">
                    <label for="identifier">Age: </label><br />
                    <InputNumber id="age" @bind-Value="cust.age" placeholder="Saisir un age"></InputNumber>
                    <ValidationMessage For="() => cust.age" />
                </div>
                <div class="form-group mb-2 col-4">
                    <label for="identifier">Date de naissance: </label><br />
                    <InputDate id="birthdate" @bind-Value="cust.birthdate" placeholder="Saisir date de naissance"></InputDate>
                    <ValidationMessage For="() => cust.birthdate" />
                </div>
                </div>
                <div class="mb-2">
                    <label><InputCheckbox id="married" @bind-Value="cust.married"></InputCheckbox> Married?</label>
                    <ValidationMessage For="() => cust.married" />
                </div>
                <div class="mb-2">
                    <label for="identifier">Couleur favorite : </label><br />
                    <InputSelect id="color" @bind-Value="cust.color">
                        <option value="" selected>Selectionner une couleur...</option>
                        <option value="red">red</option>
                        <option value="green">green</option>
                        <option value="blue">blue</option>
                    </InputSelect>
                    <ValidationMessage For="() => cust.color" />
                </div><br />
                <button class="btn btn-primary">VALIDATION</button>
        </EditForm>
    </div>
    <div class="col-4">
        @if (display)
        {

        <div class="card bg-primary" style="width: 18rem;">
            <div class="card-header">
                Resultat
            </div>
            <ul class="list-group list-group-flush">
                <li class="list-group-item">Nom : @cust.name</li>
                <li class="list-group-item">Email : @cust.email</li>
                <li class="list-group-item">Age : @cust.age </li>
                <li class="list-group-item">Date de naissance : @cust.birthdate </li>
                <li class="list-group-item">Couleur : @cust.color </li>
                @if (cust.married)
                {
<li class="list-group-item">Marié(e)</li>
                }
                else { <li class="list-group-item">non Marié(e)</li>}
            </ul>
        </div>

        }



    </div>
</div>

